Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model.item
Class MusicVideoClip

    java.lang.Object
      org.teleal.cling.support.model.DIDLObject
          org.teleal.cling.support.model.item.Item
              org.teleal.cling.support.model.item.VideoItem
                  org.teleal.cling.support.model.item.MusicVideoClip

    public class MusicVideoClip

extends VideoItem

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.support.model.DIDLObject
`DIDLObject.Class, DIDLObject.Property<V>`

Field Summary
`static DIDLObject.Class` | `CLASS`

Fields inherited from class org.teleal.cling.support.model.item.Item
`refID`

Fields inherited from class org.teleal.cling.support.model.DIDLObject
`clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

Constructor Summary
`MusicVideoClip()`
`MusicVideoClip(Item other)`
`MusicVideoClip(String id, Container parent, String title, String creator, Res... resource)`
`MusicVideoClip(String id, String parentID, String title, String creator, Res... resource)`

Method Summary
`String` | `getAlbum()`
`PersonWithRole[]` | `getArtists()`
`Person[]` | `getContributors()`
`String` | `getDate()`
`PersonWithRole` | `getFirstArtist()`
`Person` | `getFirstContributor()`
`String` | `getFirstScheduledEndTime()`
`String` | `getFirstScheduledStartTime()`
`String[]` | `getScheduledEndTimes()`
`String[]` | `getScheduledStartTimes()`
`StorageMedium` | `getStorageMedium()`
`MusicVideoClip` | `setAlbum(String album)`
`MusicVideoClip` | `setArtists(PersonWithRole[] artists)`
`MusicVideoClip` | `setContributors(Person[] contributors)`
`MusicVideoClip` | `setDate(String date)`
`MusicVideoClip` | `setScheduledEndTimes(String[] strings)`
`MusicVideoClip` | `setScheduledStartTimes(String[] strings)`
`MusicVideoClip` | `setStorageMedium(StorageMedium storageMedium)`

Methods inherited from class org.teleal.cling.support.model.item.VideoItem
`getActors, getDescription, getDirectors, getFirstActor, getFirstDirector, getFirstGenre, getFirstProducer, getFirstPublisher, getFirstRelation, getGenres, getLanguage, getLongDescription, getProducers, getPublishers, getRating, getRelations, setActors, setDescription, setDirectors, setGenres, setLanguage, setLongDescription, setProducers, setPublishers, setRating, setRelations`

Methods inherited from class org.teleal.cling.support.model.item.Item
`getRefID, setRefID`

Methods inherited from class org.teleal.cling.support.model.DIDLObject
`addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS

    public static final DIDLObject.Class CLASS

Constructor Detail

### MusicVideoClip

    public MusicVideoClip()

### MusicVideoClip

    public MusicVideoClip(Item other)

### MusicVideoClip

    public MusicVideoClip(String id,
                          Container parent,
                          String title,
                          String creator,
                          Res... resource)

### MusicVideoClip

    public MusicVideoClip(String id,
                          String parentID,
                          String title,
                          String creator,
                          Res... resource)

Method Detail

### getFirstArtist

    public PersonWithRole getFirstArtist()

### getArtists

    public PersonWithRole[] getArtists()

### setArtists

    public MusicVideoClip setArtists(PersonWithRole[] artists)

### getStorageMedium

    public StorageMedium getStorageMedium()

### setStorageMedium

    public MusicVideoClip setStorageMedium(StorageMedium storageMedium)

### getAlbum

    public String getAlbum()

### setAlbum

    public MusicVideoClip setAlbum(String album)

### getFirstScheduledStartTime

    public String getFirstScheduledStartTime()

### getScheduledStartTimes

    public String[] getScheduledStartTimes()

### setScheduledStartTimes

    public MusicVideoClip setScheduledStartTimes(String[] strings)

### getFirstScheduledEndTime

    public String getFirstScheduledEndTime()

### getScheduledEndTimes

    public String[] getScheduledEndTimes()

### setScheduledEndTimes

    public MusicVideoClip setScheduledEndTimes(String[] strings)

### getFirstContributor

    public Person getFirstContributor()

### getContributors

    public Person[] getContributors()

### setContributors

    public MusicVideoClip setContributors(Person[] contributors)

### getDate

    public String getDate()

### setDate

    public MusicVideoClip setDate(String date)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.